import { type CredentialsEntity, type Folder, type Project, ProjectRepository, type WorkflowEntity, WorkflowRepository, type WorkflowTagMapping } from '@n8n/db';
import type { FindOptionsWhere } from '@n8n/typeorm';
import type { SourceControlContext } from './types/source-control-context';
export declare class SourceControlScopedService {
    private readonly projectRepository;
    private readonly workflowRepository;
    constructor(projectRepository: ProjectRepository, workflowRepository: WorkflowRepository);
    getAdminProjectsFromContext(context: SourceControlContext): Promise<Project[] | undefined>;
    getWorkflowsInAdminProjectsFromContext(context: SourceControlContext): Promise<WorkflowEntity[] | undefined>;
    getAdminProjectsByContextFilter(context: SourceControlContext): FindOptionsWhere<Project> | undefined;
    getFoldersInAdminProjectsFromContextFilter(context: SourceControlContext): FindOptionsWhere<Folder> | undefined;
    getWorkflowsInAdminProjectsFromContextFilter(context: SourceControlContext): FindOptionsWhere<WorkflowEntity> | undefined;
    getCredentialsInAdminProjectsFromContextFilter(context: SourceControlContext): FindOptionsWhere<CredentialsEntity> | undefined;
    getWorkflowTagMappingInAdminProjectsFromContextFilter(context: SourceControlContext): FindOptionsWhere<WorkflowTagMapping> | undefined;
}
