import type { EventMessageAiNode } from './event-message-ai-node';
import type { EventMessageAudit } from './event-message-audit';
import type { EventMessageExecution } from './event-message-execution';
import type { EventMessageGeneric } from './event-message-generic';
import type { EventMessageNode } from './event-message-node';
import type { EventMessageWorkflow } from './event-message-workflow';
export declare const eventNamesAiNodes: readonly ["n8n.ai.memory.get.messages", "n8n.ai.memory.added.message", "n8n.ai.output.parser.parsed", "n8n.ai.retriever.get.relevant.documents", "n8n.ai.embeddings.embedded.document", "n8n.ai.embeddings.embedded.query", "n8n.ai.document.processed", "n8n.ai.text.splitter.split", "n8n.ai.tool.called", "n8n.ai.vector.store.searched", "n8n.ai.llm.generated", "n8n.ai.llm.error", "n8n.ai.vector.store.populated", "n8n.ai.vector.store.updated"];
export type EventNamesAiNodesType = (typeof eventNamesAiNodes)[number];
export declare const eventNamesWorkflow: readonly ["n8n.workflow.started", "n8n.workflow.success", "n8n.workflow.failed"];
export declare const eventNamesGeneric: readonly ["n8n.worker.started", "n8n.worker.stopped"];
export declare const eventNamesNode: readonly ["n8n.node.started", "n8n.node.finished"];
export declare const eventNamesExecution: readonly ["n8n.execution.throttled", "n8n.execution.started-during-bootup"];
export declare const eventNamesAudit: readonly ["n8n.audit.user.login.success", "n8n.audit.user.login.failed", "n8n.audit.user.signedup", "n8n.audit.user.updated", "n8n.audit.user.deleted", "n8n.audit.user.invited", "n8n.audit.user.invitation.accepted", "n8n.audit.user.reinvited", "n8n.audit.user.email.failed", "n8n.audit.user.reset.requested", "n8n.audit.user.reset", "n8n.audit.user.credentials.created", "n8n.audit.user.credentials.shared", "n8n.audit.user.credentials.updated", "n8n.audit.user.credentials.deleted", "n8n.audit.user.api.created", "n8n.audit.user.api.deleted", "n8n.audit.package.installed", "n8n.audit.package.updated", "n8n.audit.package.deleted", "n8n.audit.workflow.created", "n8n.audit.workflow.deleted", "n8n.audit.workflow.updated", "n8n.audit.workflow.archived", "n8n.audit.workflow.unarchived"];
export type EventNamesWorkflowType = (typeof eventNamesWorkflow)[number];
export type EventNamesAuditType = (typeof eventNamesAudit)[number];
export type EventNamesNodeType = (typeof eventNamesNode)[number];
export type EventNamesExecutionType = (typeof eventNamesExecution)[number];
export type EventNamesGenericType = (typeof eventNamesGeneric)[number];
export type EventNamesTypes = EventNamesAuditType | EventNamesWorkflowType | EventNamesNodeType | EventNamesExecutionType | EventNamesGenericType | EventNamesAiNodesType | 'n8n.destination.test';
export declare const eventNamesAll: ("n8n.audit.user.login.success" | "n8n.audit.user.login.failed" | "n8n.audit.user.signedup" | "n8n.audit.user.updated" | "n8n.audit.user.deleted" | "n8n.audit.user.invited" | "n8n.audit.user.invitation.accepted" | "n8n.audit.user.reinvited" | "n8n.audit.user.email.failed" | "n8n.audit.user.reset.requested" | "n8n.audit.user.reset" | "n8n.audit.user.credentials.created" | "n8n.audit.user.credentials.shared" | "n8n.audit.user.credentials.updated" | "n8n.audit.user.credentials.deleted" | "n8n.audit.user.api.created" | "n8n.audit.user.api.deleted" | "n8n.audit.package.installed" | "n8n.audit.package.updated" | "n8n.audit.package.deleted" | "n8n.audit.workflow.created" | "n8n.audit.workflow.deleted" | "n8n.audit.workflow.updated" | "n8n.audit.workflow.archived" | "n8n.audit.workflow.unarchived" | "n8n.workflow.started" | "n8n.workflow.success" | "n8n.workflow.failed" | "n8n.node.started" | "n8n.node.finished" | "n8n.worker.started" | "n8n.worker.stopped" | "n8n.ai.memory.get.messages" | "n8n.ai.memory.added.message" | "n8n.ai.output.parser.parsed" | "n8n.ai.retriever.get.relevant.documents" | "n8n.ai.embeddings.embedded.document" | "n8n.ai.embeddings.embedded.query" | "n8n.ai.document.processed" | "n8n.ai.text.splitter.split" | "n8n.ai.tool.called" | "n8n.ai.vector.store.searched" | "n8n.ai.llm.generated" | "n8n.ai.llm.error" | "n8n.ai.vector.store.populated" | "n8n.ai.vector.store.updated")[];
export type EventMessageTypes = EventMessageGeneric | EventMessageWorkflow | EventMessageAudit | EventMessageNode | EventMessageExecution | EventMessageAiNode;
